@font-face {
    font-family: 'Hamburg-Regular';
    src: url('/assets/fonts/Hamburg-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

* {
    font-family: 'Hamburg-Regular', sans-serif !important;
}

body {
    margin: 0 !important;
    height: 100vh;
    overflow: hidden;
}

#timer {
    color: #ffffff !important;
    text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.65);
}

.game-screen-image {
    height: 100vh;
    height: 100dvh; /* Dynamische Viewport-Höhe für iOS */
    background-repeat: no-repeat;
    width: 100%;
    background-position: bottom;
    background-size: cover;
    /* background-attachment: fixed; - Entfernen für iOS */
}

/* @supports (-webkit-touch-callout: none) {
    .game-screen-image {
        background-attachment: scroll; /* Fix für iOS */
        background-position: bottom center;
        background-size: cover;
        height: 100vh;
        width: 100%;
        background-repeat: no-repeat;
    }
} */


.game-screen-video {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
}

.game-content {
    position: absolute;
    display: flex;
    justify-content: center;
    margin-bottom: 100px;
}
.logo {
    position: absolute;
    top: 35px;
    left: 50%;
    /* transform: translateX(-50%); */
}
.logo .img-fluid {
    position: absolute;
    top: 35px;
    left: 50%;
    transform: translateX(-50%) !important;
}
.game-content > div {
    width: 100%;
    color: #000;
    background: white;
    font-size: 40px;
    font-weight: 600;
    padding: 10px 10px;
    border-radius: 10px;
    max-width: 100%;
    margin-left: 40px;
    margin-right: 40px;
    text-align: center;
    line-height: 40px;
}

.game-content-mobile {
    position: absolute;
    top: 25%;
    width: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.game-content-mobile > .answer-text {
    width: 100%;
    color: #000;
    background: white;
    font-size: 16px;
    font-weight: 600;
    padding: 20px;
    border-radius: 60px;
    max-width: 80%;
    text-align: center;
}

.game-content-mobile > .answer {
    width: 70%;
    background: white !important;
    text-align: center;
    background: none;
    padding: 20px;
}

.answer .answer-text {
    font-weight: bold;
    font-size: 24px;
}

.answer > img {
    max-width: 17.5%;
}

.answer-0 {
    border-radius: 5px;
    display: flex; 
    align-items: center; 
    gap: 15px;
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.15);
}

.answer-1 {
    border-radius: 5px;
    display: flex; 
    align-items: center; 
    gap: 15px;
    box-shadow: 3px 3px 8px rgba(0, 0, 0, 0.15);
}

.answer-img-full-width {
    padding: 10px 10px 5px !important;
}

.answer-img-full-width > img {
    max-width: 100%;
}

.answer-text {
    padding-bottom: 0px !important;
    padding-top: 0px !important;
    text-align: left;
}
.game-content-mobile > div {
    width: 100%;
    color: #000;
    background: white;
    font-size: 16px;
    font-weight: 600;
    padding: 20px;
    max-width: 80%;
    text-align: center;
}

.game-content-mobile > .qr-div {
    width: fit-content;
    padding-left: 100px;
    padding-right: 100px;
}

input[type="text"],
input[type="email"],
input[type="number"],
select,
textarea {
    width: 100%;
    padding: 12px;
    font-size: 16px;
    border: 1px solid #ddd;
    border-radius: 4px;
    box-sizing: border-box;
}
textarea {
    resize: vertical;
}
button {
    width: 100%;
    background-color: white;
    color: #000;
    padding: 14px;
    font-size: 16px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}
button:hover {
    background-color: white;
    color: #000;
}
input[type="checkbox"] {
    margin-right: 10px;
}

a {
    color: #43a1df;
}

body {
    width: 100%;
    margin: 0 auto !important;
    background-color: #f0f0f0;
}

img { pointer-events: none; !important }

.qr-headline-style {
    text-shadow: 0px 1px 3px rgba(0, 0, 0, 0.65);
    line-height: 40px;
    font-size: 40px !important;
    max-width: 100% !important;
}